package de.dhbwstuttgart.typeinference.unify.model;

import java.util.Optional;

public class Pair<T, T1> {
    private final T key;
    private final T1 value;

    public Pair(T a, T1 b) {
        this.value = b;
        this.key = a;
    }

    public Optional<T1> getValue() {
        return Optional.of(value);
    }

    public T getKey() {
        return key;
    }
    
    public String toString() {
    	return "(" + key.toString() + "," + "," + value.toString() + ")\n";
    }
}
